summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-01-18 02:57:24 +0000
committerJim Meyering <jim@meyering.net>1999-01-18 02:57:24 +0000
commit34ad3d2d3b996661bee31536df7f54b437aef8f2 (patch)
tree282b0e892459b7f7063d38fa03601dda5bf43c6c /tests
parentbece90451727f150df2c43cda9f469034f636865 (diff)
downloadcoreutils-34ad3d2d3b996661bee31536df7f54b437aef8f2.tar.xz
Now that PATH is set properly, use ln rather than $LN.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ln/misc9
-rwxr-xr-xtests/ln/sf-114
2 files changed, 10 insertions, 13 deletions
diff --git a/tests/ln/misc b/tests/ln/misc
index bf9412aab..45cedbcd7 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -1,11 +1,10 @@
#!/bin/sh
-PATH=../../../src:$PATH
tmp=t2-ln.$$
if test "$VERBOSE" = yes; then
set -x
- $LN --version
+ ln --version
fi
test_failure=0
@@ -88,6 +87,12 @@ ln --no-dereference -fs $af $ld || fail=1
test -f $ld || fail=1
rm -rf $d $f $ld
+# Try to create a symlink with backup where the destination file exists
+# and the backup file name is a hard link to the destination file.
+touch a b || test_failure=1
+ln b b~ || test_failure=1
+ln -V simple -f -b a b || fail=1
+
cd ..
../../src/rm -rf $tmp
diff --git a/tests/ln/sf-1 b/tests/ln/sf-1
index a3223f2c0..894144a8b 100755
--- a/tests/ln/sf-1
+++ b/tests/ln/sf-1
@@ -1,27 +1,19 @@
#!/bin/sh
-: ${LN=ln}
test=sf-1
if test "$VERBOSE" = yes; then
set -x
- $LN --version
+ ln --version
fi
tmp=t-ln.$$
-# We're going to LN from a subdir. Prepend ../ if $LN is not an
-# absolute file name.
-case $LN in
- /*) ;;
- *) LN=../$LN
-esac
-
test_failure=0
mkdir $tmp || test_failure=1
cd $tmp || test_failure=1
echo foo > a || test_failure=1
-$LN -s . b || test_failure=1
+ln -s . b || test_failure=1
if test $test_failure = 1; then
echo 'failure in testing framework'
@@ -37,7 +29,7 @@ LANG=C
export LANG
fail=0
-$LN -sf a b > err 2>&1 && fail=1
+ln -sf a b > err 2>&1 && fail=1
case `cat err` in
*'are the same file') ;;
*) fail=1 ;;